<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
abstract class DZF_Controller_Plugin_Annotation_Abstract extends Zend_Controller_Plugin_Abstract
{
    /**
     * @return string
     */
    protected function _getDocblockForControllerAction()
    {
        /** @var $request Zend_Controller_Request_Http */
        $request = $this->getRequest();

        $frontController = Zend_Controller_Front::getInstance();

        /** @var $dispatcher Zend_Controller_Dispatcher_Standard */
        $dispatcher = $frontController->getDispatcher();

        $controllerName = ucfirst($dispatcher->formatModuleName($request->getModuleName()))
            .'_'
            .$dispatcher->formatControllerName($request->getControllerName());

        $controllerPath =
            $frontController->getModuleDirectory($request->getModuleName())
            .DIRECTORY_SEPARATOR
            .$frontController->getModuleControllerDirectoryName()
            .DIRECTORY_SEPARATOR
            .$dispatcher->formatControllerName($request->getControllerName())
            .'.php';

        if (!file_exists($controllerPath))
        {
            return '';
        }

        require_once $controllerPath;

        $actionName = $dispatcher->formatActionName($request->getActionName());

        $reflectionClass = new ReflectionClass($controllerName);
        if (!$reflectionClass->hasMethod($actionName))
        {
            return '';
        }

        $reflectionMethod = $reflectionClass->getMethod($actionName);

        $docBlock = $reflectionMethod->getDocComment();
        return $docBlock;
    }
}