<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Ivan Petrov <iepetrov87@gmail.com>
 */
class DZF_Filter_AnonymizeIp
{
    private static $_pattern = '/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/';

    /**
     * @param null $string
     * @return mixed|null|string
     * @throws KPEYE_Exception
     */
    public static function filter($string = null)
    {
        if (null === $string) {
            return '';
        }

        $matches = array();
        preg_match_all(self::$_pattern, $string, $matches);

        $filteredIps = array();
        $foundIps = $matches[0];

        if (count($foundIps))
        {
            foreach ($foundIps as $ip)
            {
                $filteredIps[$ip] = DZF_Text::anonymizeIp($ip);
            }
        }

        $search = array_keys($filteredIps);
        $replace = array_values($filteredIps);
        $string = str_replace($search, $replace, $string);

        return $string;
    }

    /**
     * @return bool
     * @throws Zend_Exception
     */
    public static function isActive()
    {
        $privacyOptions = Zend_Registry::get('privacy');
        return (bool) (isset($privacyOptions['anonymizeIps']) && $privacyOptions['anonymizeIps']);
    }
}