<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Inflector extends Doctrine_Inflector
{
    /**
     * replaces umlauts with double chars and dashes with underscores before calling the doctrine inflector
     *
     * @param string $text
     * @return string
     */
    public static function urlize($text)
    {
        if (self::seemsUtf8($text)) {
            $noUmlauts = str_replace(
                array('Ä',  'Ü',  'Ö',  'ä',  'ü',  'ö',  'ß'),
                array('Ae', 'Ue', 'Oe', 'ae', 'ue', 'oe', 'ss'),
                $text
            );
        }
        else
        {
            $noUmlauts = str_replace(
                array(chr(196), chr(220), chr(214), chr(228), chr(252), chr(246), chr(223)),
                array('Ae',     'Ue',     'Oe',     'ae',     'ue',     'oe',     'ss'),
                $text
            );
        }

        $dashes = parent::urlize($noUmlauts);

        return $dashes;
    }
}