<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Log_Formatter_Dump implements Zend_Log_Formatter_Interface
{
    public function format($event)
    {
        $message = $event['message'];

        $dump = true;
        if (isset($event['dump']))
        {
            $dump = (boolean) $event['dump'];
        }
        if ($dump)
        {
            $result = Zend_Debug::dump($message, null, false);
        }
        else
        {
            if (is_array($message))
            {
                $message = print_r($message, true);
            }
            else if (is_object($message))
            {
                $message = print_r($message, true);
            }
            $result = "<pre>".$message."</pre>";
        }
        return $result;
    }
}