<?php

/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Eugene Melnik <e.melnik@luckywarepro.com>
 */
class DZF_Log_Writer_Doctrine_Migration extends Doctrine_Migration_Base
{
    private $_tableName = DZF_Log_Writer_Doctrine_Model::LOGS_TABLE_NAME;

    public final function up()
    {
        $fields = array(
            'id' => array(
                'type' => 'integer',
                'unsigned' => true,
                'primary' => true,
                'autoincrement' => true,
                'length' => 10
            ),
            'timestamp' => array(
                'type' => 'timestamp',
                'notnull' => true
            ),
            'priority' => array(
                'type' => 'integer',
                'length' => 4,
                'unsigned' => true,
                'notnull' => true
            ),
            'namespace' => array(
                'type' => 'string',
                'length' => 100
            ),
            'message' => array(
                'type' => 'text'
            )
        );

        $options = array(
            'indexes' => array(
                'namespace' => array(
                    'fields' => 'namespace',
                )
            ),
            'primary' => array(
                0 => 'id',
            ),
            'collate' => 'utf8_general_ci',
            'charset' => 'UTF8',
        );

        $this->createTable($this->_tableName, $fields, $options);
    }

    public final function down()
    {
        $this->dropTable($this->_tableName);
    }
}
