<?php

/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2017 All rights reserved
 * @package DZF
 */

/**
 * @author Eugene Melnik <e.melnik@luckywarepro.com>
 */
class DZF_Sms_Transport_LocalQueue extends DZF_Sms_Transport_Abstract
{
    /**
     * @var array
     */
    protected $_queue = array();

    /**
     * @param   string          $phoneNumber
     * @param   string          $content
     * @param   array           $params
     * @return  boolean
     */
    public function sendSms($phoneNumber, $content, $params = array())
    {
        $this->_queue[] = array(
            'phoneNumber'   => $phoneNumber,
            'content'       => $content,
            'params'        => $params
        );

        return true;
    }

    /**
     * @return  array
     */
    public function getQueue()
    {
        return $this->_queue;
    }

    /**
     * @return  DZF_Sms_Transport_LocalQueue
     */
    public function clearQueue()
    {
        $this->_queue = array();
        return $this;
    }
}
