<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Text
{
    /**
     * @param int[optional] $length
     * @return string
     */
    public static function getRandomString($length = 8)
    {
        $alphabet = implode('', range('a', 'z')).implode('', range('A', 'Z')).implode('', range('0', '9'));
        $pass = '';

        for ($i=1; $i <= $length; $i++)
        {
            $pass .= $alphabet[mt_rand(0, strlen($alphabet)-1)];
        }

        return $pass;
    }

    /**
     * @param string $ip
     * @return string
     * @throws DZF_Exception
     */
    public static function anonymizeIp($ip)
    {
        $validIp = filter_var($ip, FILTER_VALIDATE_IP);
        if (!$validIp) {
            throw new DZF_Exception('Invalid IP');
        }

        $ipParts = explode('.', $ip);
        array_pop($ipParts);
        $ipParts[] = 'x';

        return implode('.', $ipParts);
    }
}